#include <bits/stdc++.h>
using namespace std;

int main()
{
long long x1, y1, x2, y2,brk=1;
scanf("%lld %lld %lld %lld",&x1, &y1, &x2, &y2);
if(x1 == x2)
    printf("2");
else if(y1 == y2)
    printf("2");
else if(abs(y1 - y2) != abs(x1 - x2))
    printf("0");
else
    printf("1");



    return 0;
}